#!/bin/sh -x

SCRIPT_DIR=$(dirname "$BASH_SOURCE")
slot=${SCRIPT_DIR%????????}

IS_HANDHELD=0
if [ "$(cat /etc/rootfs_version | grep -i VS)" ]; then
        IS_HANDHELD=0
elif [ "$(cat /etc/rootfs_version | grep -i 'Super Pocket')" ]; then
        IS_HANDHELD=1
elif [ "$(cat /etc/rootfs_version | grep -i 'Evercade RootFS')" ]; then
        if [ "$(cat /sys/class/drm/card0-HDMI-A-1/status | grep -i "disconnected")" ]; then
                IS_HANDHELD=1
        else
                IS_HANDHELD=0
        fi
else
        IS_HANDHELD=1
fi

env \
    HOME=$slot/ \
    IS_HANDHELD=${IS_HANDHELD} \
    XDG_CONFIG_HOME=$slot/ \
    LD_LIBRARY_PATH=$slot/retroarch/lib \
    /usr/bin/retroarch2 -c "$slot/retroarch/config/retroarch.cfg" -v